<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>
   Copyright (C) 2007 David Grant <dave@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require_once("common.inc.php");
 require_once("user.inc.php");
 require_once("committee.inc.php");

 if(!isset($_SESSION['users_type'])) {
 	/* No type set, invalid session */
	echo "ERROR: session is invalid";
	exit;
 }

 /* See if there is an edit request */
 $eid = intval($_GET['edit']);

 if($eid != 0) {
 	/* There is an edit request, the user must be:
	 *  - on the committee
	 *  - with admin access */
	user_auth_required('committee', 'admin');
 	$u = user_load($eid, true);

 } else {
 	/* Else, force them to edit themselves */
 	$eid = false;
	$u = user_load($_SESSION['users_id'], true);
 }


 /* Load the fields the user can edit, and theones that are required */
 $fields = array();
 $required = array();
 foreach($u['types'] as $t) {
 	$fields = array_merge($fields, 
			user_personal_fields($t));
 	$required = array_merge($required, 
			user_personal_required_fields($t));
 }

 if(committee_auth_has_access('super')) {
	/* If the editer is super, let them see/edit/save the password */
 	$fields[] = 'password';
 }

 if($_POST['action']=="save")
 {


 	/* Set values */
	foreach($fields as $f) {
		$u[$f] = mysql_escape_string(stripslashes($_POST[$f]));
	}

	if(in_array('committee', $u['types'])) {
		/* Trying to save a committee member eh? Well, we established above
		 * that we're allowed to be here, so go ahead and save it */
		$u['displayemail'] = ($_POST['displayemail'] == 'yes') ? 'yes' : 'no';
		$u['emailprivate'] = mysql_escape_string(stripslashes($_POST['emailprivate']));

		if(committee_auth_has_access('super')) {
			/* But only superusers can save these ones */
			$u['access_admin'] = ($_POST['access_admin'] == 'yes') ? 'yes' : 'no';
			$u['access_config'] = ($_POST['access_config'] == 'yes') ? 'yes' : 'no';
			$u['access_super'] = ($_POST['access_super'] == 'yes') ? 'yes' : 'no';
		}
	}


	/* Check for an email collision */
	$em = mysql_escape_string(stripslashes($_POST['email']));
	$q=mysql_query("SELECT id FROM users WHERE email='$em' AND id!='{$u['id']}'");
	if(mysql_num_rows($q) > 0) {
		$notice = 'email_exists';
	}  else {
		user_save($u);
		if($_SESSION['last_page'] == 'committee_management') {
			header("location: {$config['SFIABDIRECTORY']}/admin/committees.php");
			exit;
		}
		$notice = 'success';
	}


 }

 //send the header
 if($eid == false) {
	 $type = $_SESSION['users_type'];
	 send_header("{$user_what[$type]} - Personal Information", 
 			array("{$user_what[$type]} Registration" => "{$type}_main.php")
			);
 } else {
 	if($_SESSION['last_page'] == 'committee_management') {
		send_header("Personal Information for {$u['firstname']} {$u['lastname']}", 
 			array('Committee Main' => 'committee_main.php',
				'Administration' => 'admin/index.php',
				'Committee Management' => 'admin/committees.php')
			);
	} else {
		 send_header("Personal Information for {$u['firstname']} {$u['lastname']}", 
 			array("Committee Main" => "committee_main.php")
			);
	}
 } 

 switch($notice) {
 case 'success':
	echo notice(i18n("%1 %2 successfully updated",array($_POST['firstname'],$_POST['lastname'])));
	break;
 case 'email_exists':
	echo error(i18n("That email address is in use by another user"));
	break;
 }

if($eid == false) {
	//output the current status
	$newstatus=user_personal_info_status($u);
	if($newstatus!='complete')
		echo error(i18n("Personal Information Incomplete"));
	else
		echo happy(i18n("Personal Information Complete"));
}

if(count($u['types']) > 1) {
	$roles='';
	foreach($u['types'] as $t) {
		$roles.= (($roles=='')?'':', ').i18n($user_what[$t]);
	}
	echo notice(i18n('This user has multiple roles, the fields shown below are a combination of every role.  Some may not apply to some roles.  This user has the following roles:').' '.$roles);
}

function item($user, $text, $fname) 
{
	global $fields, $required;

	if(in_array($fname, $fields)) {
		echo '<td>'.i18n($text).'</td>';
		echo "<td><input onchange=\"fieldChanged()\" type=\"text\" name=\"$fname\" value=\"{$user[$fname]}\" />";
		if(in_array($fname, $required)) echo REQUIREDFIELD;
		echo '</td>';
	} else {
		echo '<td></td><td></td>';
	}

}

 $eidstr = '';
 if($eid != false) {
	$eidstr="?edit=$eid";
 }
 echo "<form name=\"personalform\" method=\"post\" action=\"user_personal.php$eidstr\">\n";
 echo "<input type=\"hidden\" name=\"action\" value=\"save\" />\n";
 echo "<table>\n";

echo "<tr>\n";
item($u, "First Name", 'firstname');
item($u, "Last  Name", 'lastname');
echo "</tr>\n";
echo "<tr>\n";
item($u, "Email Address", 'email');
item($u, "Password", 'password');
echo "</tr>\n";
echo "<tr>\n";
item($u, "Address 1", 'address');
item($u, "Address 2", 'address2');
echo "</tr>\n";
echo "<tr>\n";
item($u, "City", 'city');
 if(in_array('province', $fields)) {
	echo '<td>'.i18n('Province').'</td>';
	echo '<td>';
	emit_province_selector("province",$judgeinfo->province,"onchange=\"fieldChanged()\"");
	if(in_array('province', $required)) echo REQUIREDFIELD;
	echo '</td>';
 } else {
	echo '<td></td><td></td>';
 }
echo "</tr>\n";
echo "<tr>\n";
item($u, "Postal Code", 'postalcode');
echo "<td></td><td></td>";
echo "</tr>\n";
echo "<tr>";
item($u, "Phone (Home)", 'phonehome');
item($u, "Phone (Cell)", 'phonecell');
echo "</tr>\n";

echo "<tr>\n";
item($u, "Organization", 'organization');
item($u, "Phone (Work)", 'phonework');
echo "</tr>";
echo "<tr>\n";
item($u, "Fax", 'fax');
echo '<td></td><td></td>';
echo "</tr>";

echo "<tr><td colspan=\"4\"><hr /></td></tr>";

echo "</table>";

/* Committee specific fields */
if(in_array('committee', $u['types'])) {
	echo "<table><tr>\n";
	item($u, "Email (Private)", 'emailprivate');
	echo "</tr>";

	echo "<tr><td>".i18n("Email (Private)").":</td><td><input size=\"25\" type=\"text\" name=\"emailprivate\" value=\"{$u['emailprivate']}\" /></td></tr>\n";
	echo "<tr><td>".i18n("Display Emails").":</td><td>";
	if($u['displayemail']=="no") $checked="checked=\"checked\""; else $checked="";
	echo "<input type=\"radio\" name=\"displayemail\" value=\"no\" $checked />".i18n("No");
	echo "&nbsp; &nbsp; &nbsp;";
	if($u['displayemail']=="yes") $checked="checked=\"checked\""; else $checked="";
	echo "<input type=\"radio\" name=\"displayemail\" value=\"yes\" $checked />".i18n("Yes");

	if(committee_auth_has_access("super"))
	{
		/* If the user is a committee member, only print these fields
		 * if the editer has super access */
		echo "<tr><td align=\"center\" colspan=\"2\"><hr /></td></tr>";
		echo "<tr><td>".i18n("Access Controls").":</td><td>";
		$ch = ($u['access_admin']=="yes") ? 'checked="checked"' : '';
		echo "<input type=\"checkbox\" name=\"access_admin\" value=\"yes\" $ch /> ".i18n("Administration")."<br />";
		$ch = ($u['access_config']=="yes") ? 'checked="checked"' : '';
		echo "<input type=\"checkbox\" name=\"access_config\" value=\"yes\" $ch /> ".i18n("Configuration")."<br />";
		$ch = ($u['access_super']=="yes") ? 'checked="checked"' : '';
		echo "<input type=\"checkbox\" name=\"access_super\" value=\"yes\" $ch /> ".i18n("Superuser")."<br />";
		echo "</td></tr>";
	}
	echo '</table>';
}



echo "<input type=\"submit\" value=\"".i18n("Save Personal Information")."\" />\n";
echo "</form>";

 echo "<br />";

send_footer();
?>
